Skip to main content

Get orders by a partner key

List of orders for a specific partner key.

All parameters are optional filters for the list of orders that will be returned. We recommend specifying as many filters as possible. If you do not specify query parameters, the method returns a full list of orders.

HTTP request

get
/v1/orders

Request

Header parameters

Requires authentification.

Query parameters

NameTypeRequiredDescription
externalUserIdarray of stringsfalseArray of external user IDs that you have sent in request POST /orders or /sell/orders in the externalUserID field.
limitnumberfalseSet the maximum number of items. The limit is from 1 to 100.
offsetnumberfalseSkip items to start. Minimum: 0.
orderIdarray of stringsfalseArray of order IDs that have been received in response POST /orders or /sell/orders in the orderID field.
externalOrderIdarray of stringsfalseArray of external order IDs that you have sent in request POST /orders or /sell/orders in the externalOrderId field.
startDatestringfalseStart date for filtering orders in ISO format in UTC time zone.
endDatestringfalseEnd date for filtering orders in ISO format in UTC time zone.
statusarray of stringsfalseArray of order statuses. Possible values.
Sample cURL
curl --location --request GET
'https://fiat-api.changelly.com/v1/orders?startDate=2025-09-18T11:00:00.000Z&orderId=882f0a1a-05eb-4d38-97a4-44f84c0fc5f5&externalUserId=Cointelegraph&externalOrderId=9b32a9f2-4d0d-45a0-9eef-faaa7b5b62dd&status=expired&offset=0&limit=30'
--header 'X-Api-Key: {{apiKey}}'
--header 'X-Api-Signature: {{signature}}'

Response

info

If any of the parameters are not provided, they will be returned with the null value.

Response params

NameTypeRequiredDescription
ordersarray of objectstrueArray of orders.
limitintegertrueLimit of orders per request.
offsetintegertrueOffset for paginating orders.
totalintegertrueTotal number of orders.

order item schema

NameTypeRequiredDescription
amountFromstringtrueAmount of currency the user is going to pay.
countrystringtrueCountry ISO 3166-1 code (Alpha-2).
statestringtrueState ISO 3166-2 code. Is required if provided country is US.
createdAtdate-timetrueTime in ISO 8601 format.
updatedAtdate-timetrueTime in ISO 8601 format.
currencyFromstringtrueTicker of the payin currency in uppercase.
currencyTostringtrueTicker of the payout currency in uppercase.
externalUserIdstringtrueUser ID provided by you.
ipstringtrueUser's IP address.
metadataobjecttrueMetadata object, which can contain any parameters you need.
orderIdstringtrueInternal order ID provided by Fiat API.
externalOrderIdstringtrueOrder ID provided by you.
payinAmountstringtruePayin amount.
payoutAmountstringtrueEstimated payout amount.
payinCurrencystringtrueTicker of the payin currency.
payoutCurrencystringtrueTicker of the payout currency.
paymentMethodstringtrueThe payment method code. Possible values
providerCodestringtrueThe On-Ramp or Off-Ramp provider code. Possible values.
redirectUrlstringtrueURL to the provider's purchase page.
refundAddressstringtrueRecipient refund address.
statusstringtrueCurrent order status. Possible values.
transactionHashstringtrueTransaction hash in the blockchain.
typestringtrueOrder type.
Enum: buy/sell.
userAgentstringtrueUser Agent.
walletAddressstringtrueRecipient wallet address.
walletExtraIdstringtrueProperty required for wallet addresses of currencies that use an additional ID for transaction processing (XRP, XLM, EOS, BNB).
Sample response
application/json
{
"orders": [
{
"redirectUrl": "https://buy.moonpay.com/changelly?...",
"orderId": "882f0a1a-05eb-4d38-97a4-44f84c0fc5f5",
"externalUserId": "Cointelegraph",
"externalOrderId": "9b32a9f2-4d0d-45a0-9eef-faaa7b5b62dd",
"providerCode": "moonpay",
"type": "buy",
"currencyFrom": "THB",
"currencyTo": "ETH",
"amountFrom": "1000",
"country": "TH",
"state": null,
"ip": null,
"walletAddress": "...",
"walletExtraId": null,
"refundAddress": null,
"paymentMethod": "card",
"userAgent": null,
"metadata": null,
"createdAt": "2025-09-18T11:46:45.994Z",
"status": "expired",
"payinAmount": null,
"payoutAmount": null,
"payinCurrency": null,
"payoutCurrency": null,
"updatedAt": "2025-09-18T15:06:07.672Z",
"transactionHash": "ab123********************************45890e9831e9e16"
}
],
"total": 55,
"limit": 30,
"offset": 0
}

Error response

Error response parameters

Check the error response schema.

Possible error types in the errorType item:

TypeDescription
validationValidation error.

The errorDetails item schema:

NameTypeRequiredDescription
causestringtrueError cause. For example, it can equal the missing request parameter for the validation error type.
valuestringtrueError value.

Error codes

CodeMessage
400Bad request
401Unauthorized
404Not found
429Too many requests
500Internal server error
Bad Request
{
"errorType": "validation",
"errorMessage": "Validation error",
"errorDetails": [
{
"cause": "status",
"value": "each value in status must be one of the following values: created, pending, hold, refunded, expired, failed, complete"
}
]
}